summaryrefslogtreecommitdiff
path: root/.local/bin/uwushot
diff options
context:
space:
mode:
authorEwy~ <ewy0@protonmail.com>2025-03-17 19:13:27 +0100
committerEwy~ <ewy0@protonmail.com>2025-03-17 19:13:27 +0100
commit8740db54043bf08982f5183572cdce266048afe0 (patch)
treef915ba41ffa2384f2d57a2dceb1cbd8dbecab16e /.local/bin/uwushot
parentcf0d96069f039846ffb48bc8a3d6bccb7e2f5a92 (diff)
incremental improvements
Diffstat (limited to '.local/bin/uwushot')
-rwxr-xr-x.local/bin/uwushot5
1 files changed, 5 insertions, 0 deletions
diff --git a/.local/bin/uwushot b/.local/bin/uwushot
new file mode 100755
index 0000000..cc99316
--- /dev/null
+++ b/.local/bin/uwushot
@@ -0,0 +1,5 @@
+#!/usr/bin/env bash
+set -euo pipefail
+filename="~/Pictures/Screenshots/satty-$(date '+%Y%m%d-%H:%M:%S').png"
+grim -g "$(slurp -o -r -c '#ff0000ff')" -t ppm - | satty --filename - --disable-notifications --corner-roundness 12 --output-filename "$filename"
+uwuload "$filename"